Loading...
Searching...
No Matches
dyscostman::ThreadedDyscoColumn< DataType >::CacheItem Struct Reference

## Public Member Functions

| CacheItem (std::unique_ptr< TimeBlockBuffer< data_t > > &&encoder_)

## Public Attributes

std::unique_ptr< TimeBlockBuffer< data_t > > | encoder
bool | isBeingWritten

## Detailed Description

template<typename DataType>
struct dyscostman::ThreadedDyscoColumn< DataType >::CacheItem

Definition at line 146 of file threadeddyscocolumn.h.

## Constructor & Destructor Documentation

## CacheItem()

template<typename DataType>

dyscostman::ThreadedDyscoColumn< DataType >::CacheItem::CacheItem | ( | std::unique_ptr< TimeBlockBuffer< data_t > > && | encoder_ | ) |

inline

Definition at line 147 of file threadeddyscocolumn.h.

References encoder, and isBeingWritten.

## Member Data Documentation

## encoder

template<typename DataType>

std::unique_ptr<TimeBlockBuffer<data_t> > dyscostman::ThreadedDyscoColumn< DataType >::CacheItem::encoder

Definition at line 150 of file threadeddyscocolumn.h.

Referenced by CacheItem().

## isBeingWritten

template<typename DataType>

bool dyscostman::ThreadedDyscoColumn< DataType >::CacheItem::isBeingWritten

Definition at line 151 of file threadeddyscocolumn.h.

Referenced by CacheItem().

The documentation for this struct was generated from the following file:

- tables/Dysco/threadeddyscocolumn.h